Bug 16963 - System reports incorrect time when using xntpd
System reports incorrect time when using xntpd
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2000-08-25 16:25 EDT by wrossberg
Modified: 2007-03-26 23:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-03 05:08:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description wrossberg 2000-08-25 16:25:32 EDT
I am running kernel 2.2.16-3 (but the problem occured in 2.2.14 as well). I have installed xntpd and configured it to consult a number of Internet 
time servers. It seems to be running properly, but the system displays the time incorrectly. It seems to think it is exactly 13 hours later than it is. 
The hardware clock and the system clock are synchonized and the hardware clock (as verified in setup at boot time) is the correct UTC time for 
my time zone (GMT-7 with DST).

This problem is not evident on an alpha running the 2.2.14 kernel.
Comment 1 Michael K. Johnson 2000-08-25 16:35:15 EDT
Definitely not a kernel bug.  Maybe glibc?
Comment 2 Ulrich Drepper 2003-04-21 20:36:16 EDT
It works for millions of people.  I doubt it's a code bug, if anything, a setup bug.

If you have a freshly installed RHL9 system which shouls the problem we are very
interested in seeing this.  Otherwise I assume it is a local problem.
Comment 3 Ulrich Drepper 2003-10-03 05:06:55 EDT
No reply in almost 6 months.  Reopen if there is a problem with a supported product.

Note You need to log in before you can comment on or make changes to this bug.